Warehouse Keeper Sorint:
Ah, why don't I tell you who our current members are?
First, there is Sorceress Page of the mystics guild in the Hunters' Village, Researcher Lorain who is located at the entrance of Cruma Tower, Warehouse Keeper Hagger of Oren Castle Town, Guard Stan of Oren Castle Town, Blacksmith Duning of the Hunters' Village, Trader Ralford at the basement of the Ivory Tower, Head Blacksmith Ferris of Aden Castle Town, Warehouse Keeper Collob who is located in front of the accessory store in Giran Castle Town and Grocer Pano in the square of Floran Village...
Wow, now I realize that our members are spread out all over the place. But we still have a long way to go. My dream is that the coins we are collecting will become a secondary currency! Then everybody on the continent will become members of our club! Ha ha ha!! Won't that be great?
Return